# Annotator

<p align="center">
  <a href="https://appcenter.elementary.io/com.github.phase1geo.annotator">
    <img src="https://appcenter.elementary.io/badge.svg" alt="Get it on AppCenter"/>
  </a>
</p>

![<center><b>Main Window - Light Theme</b></center>](https://raw.githubusercontent.com/phase1geo/Annotator/master/data/screenshots/screenshot-light.png "Image Annotation for Elementary OS")

## Overview

Annotate your images and let a picture say 1000 words.

- Load image from the file system or clipboard.
- Add shapes, stickers, text, drawings, and other callouts to highlight image details.
- Add magnifiers to enhance image details.
- Blur out portions of the image to obfuscate data.
- Crop, resize and add image borders.
- Control colors, line thickness and font details.
- Zoom support.
- Unlimited undo/redo of any change.
- Export to JPEG, PNG, TIFF, BMP, PDF and SVG image formats.
- Support for copying annotated image to clipboard.
- Printer support.

## Installation

### Debian (from source)

You will need the following dependencies to build Annotator:

- meson
- valac
- debhelper
- gobject-2.0
- glib-2.0
- libgee-0.8-dev
- libgranite-dev
- libxml2-dev
- libgtk-3-dev
- libhandy-1-dev

To install Annotator from source, run `./app install`.

To run Annotator, run `com.github.phase1geo.annotator`.

### Ubuntu (PPA)

You can use the [PPA](https://launchpad.net/~ubuntuhandbook1/+archive/ubuntu/annotator/) maintained by @PandaJim. The PPA supports Ubuntu 20.04+. Enter the following commands one by one

```
sudo add-apt-repository ppa:ubuntuhandbook1/annotator
sudo apt update
sudo apt install com.github.phase1geo.annotator
```

### Arch Linux

If you're an Arch Linux user, there's an
[AUR package](https://aur.archlinux.org/packages/annotator/)
`annotator`:

```
% yay -S annotator
```

### Flatpak

Additionally, Annotator can be installed and run via Flatpak.

To build and install the Flatpak from source, run `./app flatpak`.

Afterwards, you can run it via: `flatpak run com.github.phase1geo.annotator`.

<p align="center">
  <a href="https://appcenter.elementary.io/com.github.phase1geo.annotator">
    <img src="https://appcenter.elementary.io/badge.svg" alt="Get it on AppCenter"/>
  </a>
</p>

